idris-1.0: Functional Programming Language with Dependent Types

Copyright | License : BSD3
Maintainer | The Idris Community.
Safe Haskell | None
Language | Haskell98

Idris.Docs

Description

Synopsis

- pprintDocs :: IState -> Docs -> Doc OutputAnnotation
- getDocs :: Name -> HowMuchDocs -> Idris Docs
- pprintConstDocs :: IState -> Const -> String -> Doc OutputAnnotation
- pprintTypeDoc :: IState -> Doc OutputAnnotation
- type FunDoc = FunDoc' (Docstring DocTerm)
- data FunDoc' d = FD Name d [(Name, PTerm, Plicity, Maybe d)] PTerm (Maybe Fixity)
- type Docs = Docs' (Docstring DocTerm)
- data Docs' d
  - = FunDoc (FunDoc' d)
  - | DataDoc (FunDoc' d) [FunDoc' d]
  - | InterfaceDoc Name d [FunDoc' d] [(Name, Maybe d)] [PTerm] [(Maybe Name, PTerm, (d, [(Name, d)]))] [PTerm] [PTerm] (Maybe (FunDoc' d))
  - | RecordDoc Name d (FunDoc' d) [FunDoc' d] [(Name, PTerm, Maybe d)]
  - | NamedImplementationDoc Name (FunDoc' d)
  - | ModDoc [String] d

# Documentation

pprintDocs :: IState -> Docs -> Doc OutputAnnotation #

getDocs :: Name -> HowMuchDocs -> Idris Docs #

Given a fully-qualified, disambiguated name, construct the documentation object for it

pprintConstDocs :: IState -> Const -> String -> Doc OutputAnnotation #

pprintTypeDoc :: IState -> Doc OutputAnnotation #

type FunDoc = FunDoc' (Docstring DocTerm) #

data FunDoc' d #

Constructors

FD Name d [(Name, PTerm, Plicity, Maybe d)] PTerm (Maybe Fixity) |

Instances

Functor FunDoc' # |
Methods fmap :: (a -> b) -> FunDoc' a -> FunDoc' b # (<$) :: a -> FunDoc' b -> FunDoc' a #

type Docs = Docs' (Docstring DocTerm) #

data Docs' d #

Constructors

FunDoc (FunDoc' d) |
DataDoc (FunDoc' d) [FunDoc' d] |
InterfaceDoc Name d [FunDoc' d] [(Name, Maybe d)] [PTerm] [(Maybe Name, PTerm, (d, [(Name, d)]))] [PTerm] [PTerm] (Maybe (FunDoc' d)) |
RecordDoc Name d (FunDoc' d) [FunDoc' d] [(Name, PTerm, Maybe d)] |
NamedImplementationDoc Name (FunDoc' d) |
ModDoc [String] d |

Instances

Functor Docs' # |
Methods fmap :: (a -> b) -> Docs' a -> Docs' b # (<$) :: a -> Docs' b -> Docs' a #